Bug 4018 - rpmdrake should not treat 'release' repos as update sources in released distribution
: rpmdrake should not treat 'release' repos as update sources in released distr...
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-07 19:25 MSD by Denis Silakov
Modified: 2014-05-13 09:35 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2014-05-07 19:25:05 MSD
Users at our forum wonder why MandrivaUpdate shows updaets from repositories that are not marked as "updates":

http://forum.rosalab.ru/viewtopic.php?f=39&t=3425#p27405

Iirc, this was done for development purposes when we worked on red3 - since while the distribution is not released, there are no "updates" repositories and all updates goes to "release" repos. So for testers/developers it is convinient to treat 'release' repositories as updates.

Somehow this change was movedto 2012.1 branch, but it is not actual for released distribution and only confuses users.
Comment 1 Denis Silakov 2014-05-07 19:26:15 MSD
Advisory:
Fixed rpmdrake/MandrivaUpdate to search updates only in repositories explicitly marked as "updates".

Build lists:
https://abf.io/build_lists/1833686
https://abf.io/build_lists/1833687
Comment 2 Vladimir Potapov 2014-05-08 18:23:21 MSD
rpmdrake-5.26.12-3
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1833686/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1833687/x86_64/main/release/
*************************** Advisory ****************************
Fixed rpmdrake/MandrivaUpdate to search updates only in repositories explicitly marked as "updates".
*****************************************************************
QA Verified